Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class VMVariable

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.VMVariable

All Implemented Interfaces:
  java.io.Serializable

    public class VMVariable

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `ATTRIBUTE`
`static int` | `COLLECTION_ELEMENT`
`static int` | `INTERM_PROPERTY`
`int` | `kind`
`static int` | `LOCAL`
`static int` | `MODEL_PARAMETER`
`java.lang.String` | `name`
`static int` | `PREDEFINED_VAR`
`static int` | `REFERENCE`
`Value.Type` | `type`
`Value` | `value`
`java.lang.String` | `variableURI`

Constructor Summary
`VMVariable()`

Method Summary
`boolean` | `isRootVariable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL

    public static final int LOCAL

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final int ATTRIBUTE

See Also:
  Constant Field Values

### REFERENCE

    public static final int REFERENCE

See Also:
  Constant Field Values

### PREDEFINED_VAR

    public static final int PREDEFINED_VAR

See Also:
  Constant Field Values

### MODEL_PARAMETER

    public static final int MODEL_PARAMETER

See Also:
  Constant Field Values

### INTERM_PROPERTY

    public static final int INTERM_PROPERTY

See Also:
  Constant Field Values

### COLLECTION_ELEMENT

    public static final int COLLECTION_ELEMENT

See Also:
  Constant Field Values

### name

    public java.lang.String name

### variableURI

    public java.lang.String variableURI

### value

    public Value value

### type

    public Value.Type type

### kind

    public int kind

Constructor Detail

### VMVariable

    public VMVariable()

Method Detail

### isRootVariable

    public boolean isRootVariable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD